package okay.json;

/**
 * Represents char json value.
 *
 * @author Robert Vokáč e-mail: robertvokac1@gmail.com
 */
class JsonChar {

    private final char value;

    JsonChar(char value) {
        this.value = value;
    }

    char getChar() {
        return this.value;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append('\"');
        sb.append(Character.toString(getChar()));
        sb.append('\"');
        return sb.toString();
    }
}
