package okay.json;

/**
 * Represents double json value.
 *
 * @author Robert Vokáč e-mail: robertvokac1@gmail.com
 */
class JsonDouble {

    private final double value;

    JsonDouble(double value) {
        this.value = value;
    }

    double getDouble() {
        return this.value;
    }

    @Override
    public String toString() {
        return Double.toString(getDouble());
    }
}
