package okay.json;

/**
 * Represents int json value.
 *
 * @author Robert Vokáč e-mail: robertvokac1@gmail.com
 */
class JsonInt {

    private final int value;

    JsonInt(int value) {
        this.value = value;
    }

    int getInt() {
        return this.value;
    }

    @Override
    public String toString() {
        return Integer.toString(getInt());
    }

}
