package okay.json;

/**
 * Used for JsonObjectPrinter and JsonArrayPrinter to extend.
 *
 * @author Robert Vokáč e-mail: robertvokac1@gmail.com
 */
class JsonPrinter {

    /**
     * Constructor
     *
     * Not meant to be instantiated.
     */
    JsonPrinter() {
        //Not meant to be instantiated.
    }

    static String addTabOnEveryLineStart(String value) {
        String result = value.replace("\n", new String("\n" + JsonSpecialCharSequences.getTab()));
        return JsonSpecialCharSequences.getTab() + result;
    }

    static String addTabOnEveryLineStartWithoutFirst(String value) {
        return value.replace("\n", new String("\n" + JsonSpecialCharSequences.getTab()));
    }
}
