package okay.json;

/**
 * Represents the type of a json value.
 *
 * @author Robert Vokáč e-mail: robertvokac1@gmail.com
 */
public enum JsonValueType {

    /**
     * json null
     */
    NULL,
    /**
     * json object
     */
    OBJECT,
    /**
     * json array
     */
    ARRAY,
    /**
     * json boolean
     */
    BOOLEAN,
    /**
     * json String
     */
    STRING,
    /**
     * json char
     */
    CHAR,
    /**
     * json int
     */
    INT,
    /**
     * json long
     */
    LONG,
    /**
     * json float
     */
    FLOAT,
    /**
     * jsou double
     */
    DOUBLE;

}
