package okay.simplicity;

import javafx.application.Application;
import javafx.stage.Stage;

/**
 * Represents Java FX application.
 *
 * @author Robert Vokáč e-mail: robertvokac1@gmail.com
 */
public class JavaFXApplication extends Application {

    void launchJavaFXApplication() {
        launch();
    }

    static void startJavaFXApplication() {
        JavaFXApplication javaFXApplication = new JavaFXApplication();
        javaFXApplication.launchJavaFXApplication();
    }

    @Override
    public void start(final Stage stage) {
        Screen.initScreen();
        Simplicity.getSimplicityRunner().run();
    }
}
