package okay.simplicity.window;

import javafx.scene.layout.GridPane;
import okay.simplicity.Simplicity;

/**
 * Represents place used to resize window.
 *
 * @author Robert Vokáč robertvokac1@gmail.comt Vokáč robertvokac1@gmail.com
 */
public class ResizingGrid extends GridPane {

    /**
     *
     * @param windowColourSkin
     */
    public ResizingGrid() {
        this.setMaxHeight(Simplicity.getDpmm() * 6);
        this.setMaxWidth(Simplicity.getDpmm() * 6);
        this.add(new ResizingGridRectangle(), 3, 0);
        this.add(new ResizingGridRectangle(), 2, 1);
        this.add(new ResizingGridRectangle(), 3, 1);
        this.add(new ResizingGridRectangle(), 1, 2);
        this.add(new ResizingGridRectangle(), 2, 2);
        this.add(new ResizingGridRectangle(), 3, 2);
        this.add(new ResizingGridRectangle(), 0, 3);
        this.add(new ResizingGridRectangle(), 1, 3);
        this.add(new ResizingGridRectangle(), 2, 3);
        this.add(new ResizingGridRectangle(), 3, 3);
        this.setStyle("-fx-padding: 0;-fx-insets: 0;");
        this.setHgap(Simplicity.getDpmm() / 2);
        this.setVgap(Simplicity.getDpmm() / 2);
    }
}
