package okay.simplicity.window.controls;

import okay.simplicity.Simplicity;
import okay.simplicity.window.ColourVariant;
import javafx.scene.text.Font;

/**
 *
 * @author Robert Vokáč e-mail: robertvokac1@gmail.com
 */
public class PasswordField extends javafx.scene.control.PasswordField {

    /**
     * Constructor
     */
    public PasswordField() {
        this.setFont(Font.font(3 * Simplicity.getDpmm()));
        this.setMaxHeight(6 * Simplicity.getDpmm());
        this.setStyle("-fx-padding:0;-fx-border-insets:0;-fx-background-insets:0;-fx-background-radius:0;-fx-background-color: rgb(255,255,255);-fx-border-color:rgb(" + Simplicity.getDefaultWindowColourSkin().getRGBStringForCSS(ColourVariant.DARK) + ");-fx-border-width: " + Simplicity.getDpmm() / 2 + ";");
    }
}
