package okay.simplicity.window.controls;

import javafx.scene.paint.Color;
import javafx.scene.text.Font;
import okay.simplicity.Simplicity;
import okay.simplicity.window.ColourVariant;

/**
 * Represents radio button.
 *
 * @author Robert Vokáč e-mail: robertvokac1@gmail.com
 */
public class RadioButton extends javafx.scene.control.RadioButton {
/**
 * Constructor
 * 
 * @param text 
 */
    public RadioButton(String text) {
        super(text);
        
        setFont(Font.font(3 * Simplicity.getDpmm()));
        Color color=Simplicity.getDefaultWindowColourSkin().getColourForText(ColourVariant.LIGHT);
        this.setTextFill(color);
    }
}
