/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package okay.simplicity.window.controls;

import javafx.scene.control.ComboBox;
import javafx.scene.text.Font;
import okay.simplicity.Simplicity;
import okay.simplicity.window.ColourVariant;

/**
 *
 * @author Robert Vokáč e-mail: robertvokac1@gmail.com
 */
public class SComboBox extends ComboBox {

    /**
     * Constructor
     */
    public SComboBox() {
        this.setMaxHeight(6 * Simplicity.getDpmm());

        StringBuilder stringBuilder = new StringBuilder();
        stringBuilder.append("-fx-padding:0;-fx-border-insets:0;-fx-background-insets:0;-fx-background-radius:0;-fx-background-color: rgb(255,255,255);-fx-border-color:rgb(");
        stringBuilder.append(Simplicity.getDefaultWindowColourSkin().getRGBStringForCSS(ColourVariant.DARK));
        stringBuilder.append(");-fx-border-width: ");
        stringBuilder.append(Simplicity.getDpmm() / 2);
        stringBuilder.append(";-fx-font-size: ");
        stringBuilder.append(Font.font(3 * Simplicity.getDpmm()));
        stringBuilder.append(";");
        this.setStyle(stringBuilder.toString());
    }
}
