/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package okay.collections;

import org.junit.Test;
import static org.junit.Assert.*;

/**
 *
 * @author Robert Vokáč e-mail: robertvokac1@gmail.com
 */
public class DictionaryNodeTest {

    /**
     *
     */
    public DictionaryNodeTest() {
    }

    /**
     * Test of getElement method, of class DictionaryNode.
     */
    @Test
    public void testGetElement() {
        //arrange
        DictionaryNode<String> dictionaryNode = new DictionaryNode<>("name", "John");
        String expectedString = "John";
        String returnedString;
        //act
        returnedString = dictionaryNode.getElement();
        //assert
        assertEquals(expectedString, returnedString);
    }

    /**
     * Test of setElement method, of class DictionaryNode.
     */
    @Test
    public void testSetElement() {
        //arrange
        DictionaryNode<String> dictionaryNode = new DictionaryNode<>("name", "John");
        String expectedString = "Jack";
        String returnedString;
        //act
        dictionaryNode.setElement("Jack");
        returnedString = dictionaryNode.getElement();
        //assert
        assertEquals(expectedString, returnedString);
    }

    /**
     * Test of getNext method, of class DictionaryNode.
     */
    @Test
    public void testGetNext() {
        //arrange
        DictionaryNode<String> dictionaryNode = new DictionaryNode<>("name", "John");
        DictionaryNode<String> dictionaryNode2 = new DictionaryNode<>("surname", "Black");
        String expectedString = "Black";
        String returnedString;
        //act
        dictionaryNode.setNext(dictionaryNode2);
        DictionaryNode<String> returnedDictionaryNode = dictionaryNode.getNext();
        returnedString = returnedDictionaryNode.getElement();
        //assert
        assertEquals(expectedString, returnedString);
    }

    /**
     * Test of setNext method, of class DictionaryNode.
     */
    @Test
    public void testSetNext() {
        //arrange
        DictionaryNode<String> dictionaryNode = new DictionaryNode<>("name", "John");
        DictionaryNode<String> dictionaryNode2 = new DictionaryNode<>("surname", "White");
        String expectedString = "White";
        String returnedString;
        //act
        dictionaryNode.setNext(dictionaryNode2);
        DictionaryNode<String> returnedDictionaryNode = dictionaryNode.getNext();
        returnedString = returnedDictionaryNode.getElement();
        //assert
        assertEquals(expectedString, returnedString);
    }

    /**
     * Test of getKey method, of class DictionaryNode.
     */
    @Test
    public void testGetKey() {
        //arrange
        DictionaryNode<String> dictionaryNode = new DictionaryNode<>("name", "John");
        String expectedString = "name";
        String returnedString;
        //act
        returnedString = dictionaryNode.getKey();
        //assert
        assertEquals(expectedString, returnedString);

    }

    /**
     * Test of setKey method, of class DictionaryNode.
     */
    @Test
    public void testSetKey() {
        //arrange
        DictionaryNode<String> dictionaryNode = new DictionaryNode<>("name", "John");
        String expectedString = "nick";
        String returnedString;
        //act
        dictionaryNode.setKey("nick");
        returnedString = dictionaryNode.getKey();
        //assert
        assertEquals(expectedString, returnedString);
    }

}
