/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package okay.pseudorandom;

import org.junit.Test;
import static org.junit.Assert.*;

/**
 *
 * @author Robert Vokáč e-mail: robertvokac1@gmail.com
 */
public class SeedTest {

    public SeedTest() {
    }

    /**
     * Test of getNextNumber method, of class Seed.
     */
    @Test
    public void testGetNextNumber() {
        //arrange
        Seed seed = new Seed(5);
        long expectedValue = 1679444804;
        long returnedValue;
        //act
        for (int i = 1; i <= 37; i++) {
            seed.getNextNumber();
        }
        returnedValue = seed.getNextNumber();
        //assert
        assertEquals(expectedValue, returnedValue);
    }

    /**
     * Test of jump method, of class Seed.
     */
    @Test
    public void testJump() {
        //arrange
        Seed seed = new Seed(5);
        long expectedValue = 1679444804;
        long returnedValue;
        //act
        for (int i = 1; i <= 37; i++) {
            seed.jump();
        }
        returnedValue = seed.getNextNumber();
        //assert
        assertEquals(expectedValue, returnedValue);
    }

}
