package okay.json;

/**
 * Represents boolean json value.
 *
 * @author Robert Vokáč e-mail: robertvokac1@gmail.com
 */
class JsonBoolean {

    private final boolean value;

    JsonBoolean(boolean value) {
        this.value = value;
    }

    boolean getBoolean() {
        return this.value;
    }

    @Override
    public String toString() {
        if (getBoolean()) {
            return JsonSpecialCharSequences.getTrue();
        } else {
            return JsonSpecialCharSequences.getFalse();
        }
    }
}
