package okay.json;

/**
 * Represents float json value.
 *
 * @author Robert Vokáč e-mail: robertvokac1@gmail.com
 */
class JsonFloat {

    private final float value;

    JsonFloat(float value) {
        this.value = value;
    }

    float getFloat() {
        return this.value;
    }

    @Override
    public String toString() {
        return Float.toString(getFloat());
    }
}
