package okay.json;

/**
 * Represents long json value.
 *
 * @author Robert Vokáč e-mail: robertvokac1@gmail.com
 */
class JsonLong {

    private final long value;

    JsonLong(long value) {
        this.value = value;
    }

    long getLong() {
        return this.value;
    }

    @Override
    public String toString() {
        return Long.toString(getLong());
    }
}
