package okay.json;

/**
 * Represents String json value.
 *
 * @author Robert Vokáč e-mail: robertvokac1@gmail.com
 */
class JsonString {

    private final String value;
    
    JsonString(String value) {
        this.value = value;
    }

    String getString() {
        return this.value;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append('\"');
        sb.append(getString());
        sb.append('\"');
        return sb.toString();
    }
}
