package okay.simplicity.window.controls;

import okay.simplicity.Simplicity;
import okay.simplicity.window.ColourVariant;
import javafx.scene.text.Font;

/**
 *
 * @author Robert Vokáč e-mail: robertvokac1@gmail.com
 */
public class TextField extends javafx.scene.control.TextField {
/**
 * Constructor
 * 
 * @param value 
 */
    public TextField(String value) {
        super(value);
        setTextField();
    }

    /**
     * Constructor
     */
    public TextField() {
        setTextField();
    }

    private void setTextField() {
        this.setFont(Font.font(3 * Simplicity.getDpmm()));
        this.setMaxHeight(6 * Simplicity.getDpmm());

        StringBuilder stringBuilder = new StringBuilder();
        stringBuilder.append("-fx-padding:0;-fx-border-insets:0;-fx-background-insets:0;-fx-background-radius:0;-fx-background-color: rgb(255,255,255);-fx-border-color:rgb(");
        stringBuilder.append(Simplicity.getDefaultWindowColourSkin().getRGBStringForCSS(ColourVariant.DARK));
        stringBuilder.append(");-fx-border-width: ");
        stringBuilder.append(Simplicity.getDpmm() / 2);
        stringBuilder.append(";");
        this.setStyle(stringBuilder.toString());
    }
}
