package okay.simplicity.window.titlebuttons;

import javafx.scene.paint.Color;
import javafx.scene.shape.Line;
import okay.simplicity.Simplicity;

/**
 * Represents a line of a window title button
 *
 * @author Robert Vokáč e-mail: robertvokac1@gmail.com
 */
public class LineInWindowTitleButton extends Line {

    protected Color inactiveLinesColour = Color.rgb(153, 153, 153);

    /**
     * Constructor
     */
    public LineInWindowTitleButton() {
        setStroke(inactiveLinesColour);
        setStrokeWidth(0.5 * Simplicity.getDpmm());
    }
}
